## Overview The JSON REST API allows you to submit and receive [BulkSMS](https://www.bulksms.com/) messages. You can also get access to past messages and see your account profile. The base URL to use for this service is `https://api.bulksms.com/v1`. The base URL cannot be used on its own; you must append a path that identifies an operation and you may have to specify some path parameters as well. [Click here](/developer/) to go to the main BulkSMS developer site. In order to give you an idea on how the API can be used, some JSON snippets are provided below. Have a look at the [messages section](#tag/Message) for more information. Probably the most simple example ``` { "to": "+27001234567", "body": "Hello World!" } ``` You can send unicode automatically using the `auto-unicode` query parameter. Alternatively, you can specify `UNICODE` for the `encoding` property in the request body. Please note: when `auto-unicode` is specified and the value of the `encoding` propert
https://api.bulksms.com/v115 endpoints available
/profileGet profile
/messagesRetrieve Messages
/messagesSend Messages
/webhooksList webhooks
/webhooksCreate a webhook
/messages/sendSend message by simple GET or POST
/messages/{id}Show Message
/webhooks/{id}Read a webhook
/webhooks/{id}Update a webhook
/webhooks/{id}Delete a webhook
/blocked-numbersList blocked numbers
/blocked-numbersCreate a blocked number
/credit/transferTransfer credits to another account
/rmm/pre-sign-attachmentUpload an attachment via a signed URL
/messages/{id}/relatedReceivedMessagesList Related Messages
## Overview The JSON REST API allows you to submit and receive [BulkSMS](https://www.bulksms.com/) messages. You can also get access to past messages and see your account profile. The base URL to use for this service is `https://api.bulksms.com/v1`. The base URL cannot be used on its own; you must append a path that identifies an operation and you may have to specify some path parameters as well. [Click here](/developer/) to go to the main BulkSMS developer site. In order to give you an idea on how the API can be used, some JSON snippets are provided below. Have a look at the [messages section](#tag/Message) for more information. Probably the most simple example ``` { "to": "+27001234567", "body": "Hello World!" } ``` You can send unicode automatically using the `auto-unicode` query parameter. Alternatively, you can specify `UNICODE` for the `encoding` property in the request body. Please note: when `auto-unicode` is specified and the value of the `encoding` propert
https://api.bulksms.com/v115 endpoints available
/profileGet profile
/messagesRetrieve Messages
/messagesSend Messages
/webhooksList webhooks
/webhooksCreate a webhook
/messages/sendSend message by simple GET or POST
/messages/{id}Show Message
/webhooks/{id}Read a webhook
/webhooks/{id}Update a webhook
/webhooks/{id}Delete a webhook
/blocked-numbersList blocked numbers
/blocked-numbersCreate a blocked number
/credit/transferTransfer credits to another account
/rmm/pre-sign-attachmentUpload an attachment via a signed URL
/messages/{id}/relatedReceivedMessagesList Related Messages